Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.latka.xml
Class FindVariablesHandler

    org.apache.commons.latka.xml.FindVariablesHandler

public class FindVariablesHandler

This handler is used by the method to read the external entities of an XML suite and find any variables referenced there. The only purpose of the suite is to leverage SAX's awareness of these entities' locations.

Author:
  Morgan Delagrange
See Also:
  `XMLPreprocessr#findVariablesFromURI(String)`

Constructor Summary
`FindVariablesHandler()`

Method Summary
`java.util.Set` | `getVariables()` After the parse is complete, this method returns the unique variables referenced in the external entities.
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)` For each entity, find all the variables and assign them to the Set.

Constructor Detail

### FindVariablesHandler

    public FindVariablesHandler()

Method Detail

### getVariables

    public java.util.Set getVariables()

  After the parse is complete, this method returns the unique variables referenced in the external entities.
  Returns:
    Set of unique variables

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException

  For each entity, find all the variables and assign them to the Set.
  Parameters:
    `publicId` - public id of entity, as defined by SAX
    `systemId` - file URI of the external entity
  Returns:
    InputSource used by SAX to find more entities
  Throws:
    `SAXException` - if the entity could not be read

Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. Documenation generated September 13 2001.